Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginReaction

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginReaction

    public class PluginReaction

extends PluginSBase

This class wraps org.sbml.libsbml.Reaction for the plug-in.

Author:

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`` | `PluginReaction()` Constructor
`protected` | `PluginReaction(java.lang.String id)` Constructor

Method Summary
`void` | `addGLogicGate(PluginGLogicGate pgg)`
`void` | `addModifier(PluginModifierSpeciesReference ref)` Adds a PluginModifierSpeciesReference to this PluginReaction.
`void` | `addProduct(PluginSpeciesReference ref)` Adds Product (PluginSpeciesReference) to this PluginReaction.
`void` | `addReactant(PluginSpeciesReference ref)` Adds the given Reactant (PluginSpeciesReference) to this PluginReaction.
`PluginRealLineInformationDataObjOfReactionLink` | `getAllMyPostionInfomations()`
`PluginRealLineInformationDataObjOfReactionLink` | `getAllMyPostionInfomations(boolean bPrintDebugInfo)`
`boolean` | `getFast()`
`java.lang.String` | `getGateType()`
`java.lang.String` | `getId()`
`PluginKineticLaw` | `getKineticLaw()`
`java.awt.Color` | `getLineColor()`
`double` | `getLineWidth()`
`PluginListOf` | `getListOfGLogicGates()`
`PluginListOf` | `getListOfModifiers()`
`PluginListOf` | `getListOfProducts()`
`PluginListOf` | `getListOfReactants()`
`PluginModifierSpeciesReference` | `getModifier(int index)` Gets the PluginModifierSpeciesReference with the given index of this PluginReaction.
`java.lang.String` | `getName()`
`int` | `getNumGLogicGates()`
`int` | `getNumModifiers()`
`int` | `getNumProducts()`
`int` | `getNumReactants()`
`PluginSpeciesReference` | `getProduct(int index)` Gets the Product (PluginSpeciesReference) of this PluginReaction with the given index.
`PluginSpeciesReference` | `getReactant(int index)` Gets the Reactant (PluginSpeciesReference) with the given index from this PluginReaction.
`java.lang.String` | `getReactionType()`
`boolean` | `getReversible()`
`static boolean` | `havePhenotypeInSrouce(PluginSBase pSbase)`
`void` | `removeGLogicGate(int index)`
`void` | `removeGLogicGate(PluginGLogicGate pgg)`
`void` | `removeModifier(int index)` Removes the PluginModifierSpeciesReference from this PluginReaction.
`void` | `removeModifier(PluginModifierSpeciesReference ref)` Removes a PluginModifierSpeciesReference from this PluginReaction.
`void` | `removeProduct(int index)` Removes the Product (PluginSpeciesReference) with the given index from this PluginReaction.
`void` | `removeProduct(PluginSpeciesReference ref)` Removes the given Product (PluginSpeciesReference) from this PluginReaction.
`void` | `removeReactant(int index)` Removes the Reactant with the given index from this PluginReaction.
`void` | `removeReactant(PluginSpeciesReference ref)` Removes the given Reactant (PluginSpeciesReference) from this PluginReaction.
`void` | `setFast(boolean fast)` Sets the fast status of this PluginReaction to the given value (boolean)
`void` | `setGateType(java.lang.String type)`
`void` | `setKineticLaw(PluginKineticLaw ki)` Sets the PluginKineticLaw of this PluginReaction.
`void` | `setLineColor(java.awt.Color lineColor)` Sets the lineColor of this PluginReaction.
`void` | `setLineWidth(double lineWidth)` Sets the line width of this PluginReaction.
`void` | `setListOfGLogicGates(PluginListOf listOfGLogicGates)`
`void` | `setListOfModifiers(PluginListOf listOfModifiers)` Sets the list of PluginModifierSpeciesReference of this PluginReaction.
`void` | `setListOfProducts(PluginListOf listOfProducts)` Sets the list of Products (PluginSpeciesReference) of this PluginReaction.
`void` | `setListOfReactants(PluginListOf listOfReactants)` Sets the list of Reactants (PluginSpeciesReference) of this PluginReaction.
`void` | `setName(java.lang.String name)` Sets the name of this PluginReaction.
`void` | `setReactionType(java.lang.String type)` Sets the type of this PluginReaction.
`void` | `setReversible(boolean reversible)` Sets the reversible status of this PluginReaction to the given value (boolean).
`void` | `update(PluginReaction reaction)` Update all properties of this PluginReaction to the same as the given PluginReaction.

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginReaction

    public PluginReaction()

  Constructor

### PluginReaction

    protected PluginReaction(java.lang.String id)

  Constructor

  Parameters:
    `id` -

Method Detail

### update

    public void update(PluginReaction reaction)

  Update all properties of this PluginReaction to the same as the given PluginReaction.

  Parameters:
    `reaction` -

### getId

    public java.lang.String getId()

  Returns:
    the id of this PluginReaction.

### getFast

    public boolean getFast()

  Returns:
    the fast status of this Reaction.

### setFast

    public void setFast(boolean fast)

  Sets the fast status of this PluginReaction to the given value (boolean)

  Parameters:
    `fast` -

### getReversible

    public boolean getReversible()

  Returns:
    the reversible status of this PluginReaction.

### setReversible

    public void setReversible(boolean reversible)

  Sets the reversible status of this PluginReaction to the given value (boolean).

  Parameters:
    `reversible` -

### getName

    public java.lang.String getName()

  Returns:
    the name of this PluginReaction.

### setName

    public void setName(java.lang.String name)

  Sets the name of this PluginReaction.

  Parameters:
    `name` -

### addReactant

    public void addReactant(PluginSpeciesReference ref)

  Adds the given Reactant (PluginSpeciesReference) to this PluginReaction.

  Parameters:
    `ref` - PluginSpeciesReference

### removeReactant

    public void removeReactant(PluginSpeciesReference ref)

  Removes the given Reactant (PluginSpeciesReference) from this PluginReaction.

  Parameters:
    `ref` -

### removeReactant

    public void removeReactant(int index)

  Removes the Reactant with the given index from this PluginReaction.

  Parameters:
    `index` -

### getReactant

    public PluginSpeciesReference getReactant(int index)

  Gets the Reactant (PluginSpeciesReference) with the given index from this PluginReaction.

  Parameters:
    `index` -
  Returns:
    PluginSpeciesReference

### addProduct

    public void addProduct(PluginSpeciesReference ref)

  Adds Product (PluginSpeciesReference) to this PluginReaction.

  Parameters:
    `ref` - Product

### removeProduct

    public void removeProduct(PluginSpeciesReference ref)

  Removes the given Product (PluginSpeciesReference) from this PluginReaction.

  Parameters:
    `ref` -

### removeProduct

    public void removeProduct(int index)

  Removes the Product (PluginSpeciesReference) with the given index from this PluginReaction.

  Parameters:
    `index` -

### getProduct

    public PluginSpeciesReference getProduct(int index)

  Gets the Product (PluginSpeciesReference) of this PluginReaction with the given index.

  Parameters:
    `index` -
  Returns:
    PluginSpeciesReference

### addModifier

    public void addModifier(PluginModifierSpeciesReference ref)

  Adds a PluginModifierSpeciesReference to this PluginReaction.

  Parameters:
    `ref` - PluginModifierSpeciesReference

### removeModifier

    public void removeModifier(PluginModifierSpeciesReference ref)

  Removes a PluginModifierSpeciesReference from this PluginReaction.

  Parameters:
    `ref` -

### removeModifier

    public void removeModifier(int index)

  Removes the PluginModifierSpeciesReference from this PluginReaction.

  Parameters:
    `index` -

### getModifier

    public PluginModifierSpeciesReference getModifier(int index)

  Gets the PluginModifierSpeciesReference with the given index of this PluginReaction.

  Parameters:
    `index` -
  Returns:
    PluginModifierSpeciesReference

### getKineticLaw

    public PluginKineticLaw getKineticLaw()

  Returns:
    the PluginKineticLaw of this PluginReaction.

### setKineticLaw

    public void setKineticLaw(PluginKineticLaw ki)

  Sets the PluginKineticLaw of this PluginReaction.

  Parameters:
    `ki` -

### getLineColor

    public java.awt.Color getLineColor()

  Returns:
    the lineColor of this PluginReaction.

### setLineColor

    public void setLineColor(java.awt.Color lineColor)

  Sets the lineColor of this PluginReaction.

  Parameters:
    `lineColor` - the color of reaction

### getLineWidth

    public double getLineWidth()

  Returns:
    the line width of this PluginReaction.

### setLineWidth

    public void setLineWidth(double lineWidth)

  Sets the line width of this PluginReaction.

  Parameters:
    `lineWidth` -

### getListOfModifiers

    public PluginListOf getListOfModifiers()

  Returns:
    the list of PluginModifierSpeciesReference of this PluginReaction.

### setListOfModifiers

    public void setListOfModifiers(PluginListOf listOfModifiers)

  Sets the list of PluginModifierSpeciesReference of this PluginReaction.

  Parameters:
    `listOfModifiers` -

### getListOfProducts

    public PluginListOf getListOfProducts()

  Returns:
    the list of Products (PluginSpeciesReference) of this PluginReaction.

### setListOfProducts

    public void setListOfProducts(PluginListOf listOfProducts)

  Sets the list of Products (PluginSpeciesReference) of this PluginReaction.

  Parameters:
    `listOfProducts` -

### getListOfReactants

    public PluginListOf getListOfReactants()

  Returns:
    the list of Reactants (PluginSpeciesReference) of this PluginReaction.

### setListOfReactants

    public void setListOfReactants(PluginListOf listOfReactants)

  Sets the list of Reactants (PluginSpeciesReference) of this PluginReaction.

  Parameters:
    `listOfReactants` -

### getReactionType

    public java.lang.String getReactionType()

  Returns:
    the type of this PluginReaction.

### setReactionType

    public void setReactionType(java.lang.String type)

  Sets the type of this PluginReaction.

  Parameters:
    `type` -

### getNumReactants

    public int getNumReactants()

  Returns:
    the number of Reactants of this PluginReaction.

### getNumProducts

    public int getNumProducts()

  Returns:
    the number of Products of this PluginReaction.

### getNumModifiers

    public int getNumModifiers()

  Returns:
    the number of Modifiers of this PluginReaction.

### getNumGLogicGates

    public int getNumGLogicGates()

  Returns:
    the number of GLogicGates of this PluginReaction.

### addGLogicGate

    public void addGLogicGate(PluginGLogicGate pgg)

  Parameters:
    `pgg` -

### removeGLogicGate

    public void removeGLogicGate(int index)

### removeGLogicGate

    public void removeGLogicGate(PluginGLogicGate pgg)

### getListOfGLogicGates

    public PluginListOf getListOfGLogicGates()

### setListOfGLogicGates

    public void setListOfGLogicGates(PluginListOf listOfGLogicGates)

### getAllMyPostionInfomations

    public PluginRealLineInformationDataObjOfReactionLink getAllMyPostionInfomations()

### getAllMyPostionInfomations

    public PluginRealLineInformationDataObjOfReactionLink getAllMyPostionInfomations(boolean bPrintDebugInfo)

### getGateType

    public java.lang.String getGateType()

### setGateType

    public void setGateType(java.lang.String type)

### havePhenotypeInSrouce

    public static final boolean havePhenotypeInSrouce(PluginSBase pSbase)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD